org.apache.cassandra.io.util

## Interface RewindableDataInput

- All Superinterfaces:
    java.io.DataInput, DataInputPlus
  All Known Subinterfaces:
    FileDataInput
  All Known Implementing Classes:
    EncryptedFileSegmentInputStream, FileSegmentInputStream, RandomAccessReader, RewindableDataInputStreamPlus

      public interface RewindableDataInput
      extends DataInputPlus

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.util.DataInputPlus

      `DataInputPlus.DataInputStreamPlus`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `bytesPastMark(DataPosition mark)`
    `DataPosition` | `mark()`
    `void` | `reset(DataPosition mark)`

    - ### Methods inherited from interface org.apache.cassandra.io.util.DataInputPlus

      `readUnsignedVInt, readVInt, skipBytes, skipBytesFully`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF`

- - ### Method Detail

    - #### mark

          DataPosition mark()

    - #### reset

          void reset(DataPosition mark)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### bytesPastMark

          long bytesPastMark(DataPosition mark)

Copyright © 2018 The Apache Software Foundation